<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:interrPrat="http://insiel.it/protocollo/schemixsd/interrogaPratiche"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
xmlns:tgen="http://insiel.it/protocollo/schemixsd/tipiGenerali"
xmlns:dettPrat="http://insiel.it/protocollo/schemixsd/dettagliPratica"
targetNamespace="http://insiel.it/protocollo/schemixsd/interrogaPratiche"
elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://insiel.it/protocollo/schemixsd/tipiGenerali" schemaLocation="tipiGenerali.xsd"/>
	<xs:import namespace="http://insiel.it/protocollo/schemixsd/dettagliPratica" schemaLocation="dettagliPratica.xsd"/>
	<xs:element name="InterrogazionePraticheResponse">
		<xs:complexType>
			<xs:choice>
				<xs:element name="pratiche" type="dettPrat:DettagliPratica" minOccurs="0" maxOccurs="unbounded"/>
				<xs:element name="errore" type="tgen:Errore"/>
			</xs:choice>
			<xs:attribute name="esito" type="xs:boolean" use="required"/>
			<xs:attribute name="numPrat" type="xs:integer" use="required"/>
			<xs:attribute name="numPratTotale" type="xs:integer" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="InterrogazionePraticheRequest">
		<xs:complexType>
			<xs:all>
				<xs:element name="utente" type="tgen:Utente"/>
				<xs:element name="oggetto" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="valore" type="tgen:oggetto"/>
							<xs:element name="relazione" type="tgen:operatoreRelazionaleIC"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="note" type="tgen:note" minOccurs="0"/>
				<xs:element name="codiceUfficio" type="xs:string" minOccurs="0"/>
				<xs:element name="codiceRegistro" type="tgen:Classifica" minOccurs="0"/>
				<xs:element name="anno" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="da" type="tgen:anno" minOccurs="0"/>
							<xs:element name="a" type="tgen:anno" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="numero" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="da" type="xs:nonNegativeInteger" minOccurs="0"/>
							<xs:element name="a" type="xs:nonNegativeInteger" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="subNumero" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="da" type="tgen:subNumero" minOccurs="0"/>
							<xs:element name="a" type="tgen:subNumero" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="data" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="da" type="xs:date" minOccurs="0"/>
							<xs:element name="a" type="xs:date" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="codiceTipoPratica" type="xs:string" minOccurs="0"/>
				<xs:element name="dataChiusura" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="da" type="xs:date" minOccurs="0"/>
							<xs:element name="a" type="xs:date" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="praticaDataAc" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="da" type="xs:date" minOccurs="0"/>
							<xs:element name="a" type="xs:date" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="stato" type="tgen:stato" minOccurs="0"/>
				<xs:element name="codiceUffOpRicerca" type="xs:string" minOccurs="0"/>
				<xs:element name="praticaAc" type="tgen:PraticaAC" minOccurs="0"/>
				<xs:element name="uffici" type="interrPrat:UfficiRicerca" minOccurs="0"/>
				<xs:element name="riferimentiAna" type="interrPrat:RiferimentiAnaRicerca" minOccurs="0"/>
				<xs:element name="mnemonici" type="interrPrat:MnemoniciRicerca" minOccurs="0"/>
			</xs:all>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="UfficiRicerca">
		<xs:sequence>
			<xs:element name="list" type="interrPrat:AnagraficaRicerca" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="RiferimentiAnaRicerca">
		<xs:sequence>
			<xs:element name="list" type="interrPrat:AnagraficaRicerca" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="MnemoniciRicerca">
		<xs:sequence>
			<xs:element name="list" type="tgen:MnemonicoRicerca" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>
	<xs:complexType name="AnagraficaRicerca">
		<xs:sequence>
			<xs:element name="codice" type="tgen:ValoreRelazioneUIC" minOccurs="0"/>
			<xs:element name="descrizione" type="tgen:ValoreRelazioneUIC" minOccurs="0"/>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
